summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorGary V. Vaughan <gary@gnu.org>2012-10-04 22:38:01 +0700
committerGary V. Vaughan <gary@gnu.org>2012-10-05 16:34:43 +0700
commit1a5b2496799401c736f652704b0f1fa817e21d11 (patch)
treeb740e30fd38bd3c30f7db44e4ae556853681fcbc /tests
parentedb06d7aaa22ef342068dc98769e78c94f07de6b (diff)
downloadlibtool-1a5b2496799401c736f652704b0f1fa817e21d11.tar.gz
tests: migrate legacy tagtrace.test to Autotest.
* tests/tagtrace.test: Delete file. * tests/libtool.at (test LT_SUPPORTED_TAG interface): Add Autotest equivalent. * Makefile.am (TESTS): Remove tests/tagtrace.test. Signed-off-by: Gary V. Vaughan <gary@gnu.org>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/libtool.at34
-rwxr-xr-xtests/tagtrace.test71
2 files changed, 34 insertions, 71 deletions
diff --git a/tests/libtool.at b/tests/libtool.at
index 96c36d50..fafec379 100755
--- a/tests/libtool.at
+++ b/tests/libtool.at
@@ -190,3 +190,37 @@ AT_CHECK([$LIBTOOL -n --mode=link $CC -objectlist nonexistent], [1], [ignore], [
AT_CHECK([grep 'nonexistent' stderr], [0], [ignore])
AT_CLEANUP
+
+
+## --------------------------------- ##
+## Check LT_SUPPORTED_TAG interface. ##
+## --------------------------------- ##
+
+AT_SETUP([test LT_SUPPORTED_TAG interface])
+
+AT_CHECK([test no != "$AUTOCONF" || exit 77])
+
+cp $abs_top_srcdir/aclocal.m4 ./aclocal.m4
+cp $abs_top_srcdir/configure.ac ./configure.ac
+cp -r $abs_top_srcdir/build-aux ./build-aux
+cp -r $abs_top_srcdir/m4 ./m4
+
+# Retrieve the list of tags supported by our main libtool script.
+traced_tags=`$AUTOCONF --trace 'LT_SUPPORTED_TAG:$1'`
+AT_CHECK([test -n "$traced_tags"])
+
+# Ensure each of them is accepted by --tag.
+# (We do some useless operation like erasing an empty file, because
+# we are just interested in whether --tag accepts the tag or not.)
+for tag in $traced_tags; do
+ AT_CHECK([$LIBTOOL -n --mode=link --tag=$tag compiler -o liba.la foo.lo],
+ [], [ignore], [stderr])
+ AT_CHECK([grep 'ignoring unknown tag' stderr], [1], [ignore])
+done
+
+# Ensure the above command would have failed for unknown tags
+AT_CHECK([$LIBTOOL -n --mode=link --tag=UnKnOwN compiler -o liba.la foo.lo],
+ [], [ignore], [stderr])
+AT_CHECK([grep 'ignoring unknown tag' stderr], [0], [ignore])
+
+AT_CLEANUP
diff --git a/tests/tagtrace.test b/tests/tagtrace.test
deleted file mode 100755
index 27bea64d..00000000
--- a/tests/tagtrace.test
+++ /dev/null
@@ -1,71 +0,0 @@
-#! /bin/sh
-# tagtrace.test - check the LT_SUPPORTED_TAGS interface
-#
-# Copyright (C) 2004-2005, 2011-2012 Free Software Foundation, Inc.
-#
-# This file is part of GNU Libtool.
-#
-# GNU Libtool is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 2 of
-# the License, or (at your option) any later version.
-#
-# GNU Libtool is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with GNU Libtool; see the file COPYING. If not, a copy
-# can be downloaded from http://www.gnu.org/licenses/gpl.html,
-# or obtained by writing to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-####
-
-. tests/defs || exit 1
-
-: ${fnord=$abs_srcdir/fnord$$}
-
-$AUTOCONF --version > /dev/null 2>&1 || func_skip "This test requires GNU Autoconf"
-if touch $fnord; then
- rm $fnord
-else
- func_skip "This test requires write access to the source tree"
-fi
-
-( cd "$abs_srcdir" && $AUTOCONF --trace 'LT_SUPPORTED_TAG:$1' ) >/dev/null
-ret=$?
-if test 63 -eq "$ret" || test 1 -eq "$ret"; then
- func_error "This test requires the same Autoconf version"
- func_skip "as the one that was used to bootstrap Libtool"
-elif test 0 -ne "$ret"; then
- func_fatal_error "\`$AUTOCONF --trace' exited $ret"
-fi
-
-# Abort as soon as something fails.
-set -e
-
-# Retrieve the list of tags supported by our main libtool script.
-traced_tags=`cd "$abs_srcdir" && $AUTOCONF --trace 'LT_SUPPORTED_TAG:$1'`
-
-test -n "$traced_tags"
-
-# Ensure each of them is accepted by --tag.
-# (We do some useless operation like erasing an empty file, because
-# we are just interested in whether --tag accepts the tag or not.)
-for tag in $traced_tags; do
- $LIBTOOL -n --mode=link --tag=$tag compiler -o liba.la foo.lo >output 2>&1
- cat output
- if grep 'ignoring unknown tag' output; then
- exit $EXIT_FAILURE
- else
- :
- fi
-done
-
-# Ensure the above command would have failed for unknown tags
-$LIBTOOL -n --mode=link --tag=UnKnOwN compiler -o liba.la foo.lo >output 2>&1
-cat output
-grep 'ignoring unknown tag' output
-
-rm -f output